[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAlignSet

Set of alignment options.

## Declaration

Source position: controls.pp line 193

`type TAlignSet = set of (`
`alNone,` |  | Control has fixed size and position.
`alTop,` |  | Control stacked at top, full width.
`alBottom,` |  | Control stacked at bottom, full width.
`alLeft,` |  | Control stacked at left, full height.
`alRight,` |  | Control stacked at right, full height.
`alClient,` |  | Control fills remaining client area.
`alCustom` |  | Control has special alignment.
`);`

## See also

TAlign |  | Alignment options for a control, within its Parent control.